@echo off

REM ===========================================================================
REM ===========================================================================
REM THIS BATCHFILE WILL AUTOMATICALLY BUILD THE TI92P VERSION AND COPIES IT TO
REM THE TI92P DIRECTORY
REM $Id: build92p.bat,v 1.12 2002/10/18 16:03:54 tnussb Exp $
REM ===========================================================================
REM ===========================================================================

if "%1" == "" goto :help

echo --------------------------------------------
echo building TICHESS - %1 TI92p version ...
echo --------------------------------------------

tigcc -DUSE_TI92P -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings logo.c
tigcc -DUSE_TI92P -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings generic.c
tigcc -DUSE_TI92P -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings bg_ti92.c
tigcc -DUSE_TI92P -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings input.c
tigcc -DUSE_TI92P -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings interrupt.c
tigcc -DUSE_TI92P -DLANG_%1 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings board.c
tigcc -DUSE_TI92P -DLANG_%1 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings loadsave.c
tigcc -DUSE_TI92P -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings infoboards.c
tigcc -DUSE_TI92P -DLANG_%1 -Os -fomit-frame-pointer -c -Wall -W -Wwrite-strings menu.c
tigcc -DUSE_TI92P -DLANG_%1 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings gui.c
tigcc -DUSE_TI92P -DLANG_%1 -O3 -fomit-frame-pointer -c -Wall -W -Wwrite-strings engine.c
tigcc -DUSE_TI92P -DLANG_%1 -O2 -fomit-frame-pointer -c -Wall -W -Wwrite-strings clocks.c
REM dir *.o

tigcc -DUSE_TI92P -DLANG_%1 -Os -fomit-frame-pointer -Wall -W -Wwrite-strings tichess.c logo.o generic.o bg_ti92.o input.o interrupt.o board.o loadsave.o infoboards.o menu.o gui.o engine.o clocks.o -o ticstart -pack tichess
del ticstart.9xz
copy ticstart.9xy tichess.9xy
del  ticstart.89y
ttsetname -quiet -folder tict -name tichess tichess.9xy
copy tichess.9xy ..\bin92p\%1\tichess.9xy
del *.9xy
del *.o
tigcc -Os ticstart.c
copy ticstart.9xz ..\bin92p\%1
del ticstart.89z
del ticstart.9xz

goto :end
:help
echo ***********************************************************
echo * ERROR: NO LANGUAGE SPECIFIED ....
echo ***********************************************************
echo - [USAGE] build92p.bat language
echo -
echo - language = english, german, french
echo -
:end

@echo on
